Foros del Web » Programando para Internet » PHP »

Problema con libreria GD - Activar soporte JPG

Estas en el tema de Problema con libreria GD - Activar soporte JPG en el foro de PHP en Foros del Web. Tengo un problema con la libreria GD y por lo que entiendo tengo que activar el soporte para JPG y no se como hacerlo, alguien ...
  #1 (permalink)  
Antiguo 14/07/2006, 12:09
 
Fecha de Ingreso: octubre-2004
Ubicación: Guatemala
Mensajes: 83
Antigüedad: 13 años, 1 mes
Puntos: 0
Problema con libreria GD - Activar soporte JPG

Tengo un problema con la libreria GD y por lo que entiendo tengo que activar el soporte para JPG y no se como hacerlo, alguien me podria ayudar. Estoy trabajando en un servidor Fedora.

Este error me da:
GD does not have read support for "Content-Type: image/jpeg"

Segun el phpinfo:
GD Support enabled
GD Version bundled (2.0.28 compatible)
GIF Read Support enabled
GIF Create Support enabled
PNG Support enabled
WBMP Support enabled
XBM Support enabled

Gracias de antemano/
__________________
Definitivamente la vida no es como en las películas...
C'est la vie
  #2 (permalink)  
Antiguo 14/07/2006, 13:18
O_O
 
Fecha de Ingreso: enero-2002
Ubicación: Santiago - Chile
Mensajes: 34.417
Antigüedad: 15 años, 11 meses
Puntos: 126
No sé como instalastes dicha extensión en Fedora (por cierto .. que versión?).

Por mi parte en Fedora siempre he instalado soporte GD (extensión) para PHP con "yum"

yum install php-gd

Así por lo menos lo hice algún tiempo sobre FC5 y dejó todo con soporte GIF, JPG, etc:

GD Support enabled
GD Version bundled (2.0.28 compatible)
FreeType Support enabled
FreeType Linkage with freetype
FreeType Version 2.1.9
GIF Read Support enabled
GIF Create Support enabled
JPG Support enabled
PNG Support enabled
WBMP Support enabled
XBM Support enabled


Un saludo,
__________________
Por motivos personales ya no puedo estar con Uds. Fue grato haber compartido todos estos años. Igualmente los seguiré leyendo.
  #3 (permalink)  
Antiguo 14/07/2006, 14:04
 
Fecha de Ingreso: octubre-2004
Ubicación: Guatemala
Mensajes: 83
Antigüedad: 13 años, 1 mes
Puntos: 0
La situación es que este servidor hasta hace un par de horas me dieron acceso por lo que ya estaba todo instalado y configurado cuando me lo dieron. A mi únicamente me pidieron que subiera unos archivos, pero me muestra el error que les digo.

En tú opinión crees que lo mejor sea instalar de nuevo esta extension?

Gracias...
__________________
Definitivamente la vida no es como en las películas...
C'est la vie
  #4 (permalink)  
Antiguo 14/07/2006, 14:12
O_O
 
Fecha de Ingreso: enero-2002
Ubicación: Santiago - Chile
Mensajes: 34.417
Antigüedad: 15 años, 11 meses
Puntos: 126
Cita:
Iniciado por ogamboa_gt
La situación es que este servidor hasta hace un par de horas me dieron acceso por lo que ya estaba todo instalado y configurado cuando me lo dieron. A mi únicamente me pidieron que subiera unos archivos, pero me muestra el error que les digo.

En tú opinión crees que lo mejor sea instalar de nuevo esta extension?

Gracias...
Si, ... es tan sencillo y rápido (sólo tendrás que reiniciar el servidor HTTP al menos y listo).

Es sí .. si GD lo "compilaron" a mano .. ahí no sé como se comportara instalar GD con un RPM por "yum" .. Consulta con tu proveedor mejor ..

Un saludo,
__________________
Por motivos personales ya no puedo estar con Uds. Fue grato haber compartido todos estos años. Igualmente los seguiré leyendo.
  #5 (permalink)  
Antiguo 15/07/2006, 21:01
 
Fecha de Ingreso: octubre-2004
Ubicación: Guatemala
Mensajes: 83
Antigüedad: 13 años, 1 mes
Puntos: 0
Bueno, he instalado la extension GD con el comando que me has dicho, reiniciado el servidor HTTP y sigue sucediendo lo mismo...

Alguna sugerencia?
__________________
Definitivamente la vida no es como en las películas...
C'est la vie
  #6 (permalink)  
Antiguo 17/07/2006, 08:26
O_O
 
Fecha de Ingreso: enero-2002
Ubicación: Santiago - Chile
Mensajes: 34.417
Antigüedad: 15 años, 11 meses
Puntos: 126
Cita:
Iniciado por ogamboa_gt
Bueno, he instalado la extension GD con el comando que me has dicho, reiniciado el servidor HTTP y sigue sucediendo lo mismo...

Alguna sugerencia?
Compilar PHP

www.php.net/gd

Ahí tienes las directivas de compilación para soporte GD y todos sus extras. No sé por qué con un "yum" no te instaló el soporte para JPGE (tal vez te pidió instalar alguna librería y no lo aceptastes? ..)

Desinstalastes la extensión GD tal cual la tenías antes de re-instalarla con su RPM correspondiente vía "yum"?

Fijate que hay vários comentarios sobre el tema:
Cita:
Si tiene PHP compilado con --enable-exif puede trabajar con la información guardada en las cabeceras de las imágenes JPEG y TIFF. Estas funciones no requieren la biblioteca GD.
Cita:
Antes de poder leer y escribir imágenes en formato jpeg, deberá obtener e instalar jpeg-6b (disponible en ftp://ftp.uu.net/graphics/jpeg/), y después recompilar GD para poder hacer uso de jpeg-6b. También tendrá que compilar PHP con la opción --with-jpeg-dir=/ruta/a/jpeg-6b
Usando Fedora .. lo más probable que estas librerías extra que se requieren (y que no dependen de GD directamente) podrías encontrarlas como "RPM" (en los repositorios de "yum" .. prueba a buscarlas: yum install nombre* .. muchas veces suele requerirse la versión "devel" si se trata de librerías .. )

Para más detalles .. te recomendaría consultar en el foro de "Linux".

Un saludo,
__________________
Por motivos personales ya no puedo estar con Uds. Fue grato haber compartido todos estos años. Igualmente los seguiré leyendo.

Última edición por Cluster; 17/07/2006 a las 08:39
Atención: Estás leyendo un tema que no tiene actividad desde hace más de 6 MESES, te recomendamos abrir un Nuevo tema en lugar de responder al actual.
Tema Cerrado




La zona horaria es GMT -6. Ahora son las 20:56.